Bug 119085 - Bundle the new "EB Garamond" font with LibreOffice
Summary: Bundle the new "EB Garamond" font with LibreOffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 69254 98596
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2018-08-03 18:48 UTC by xanadu
Modified: 2018-08-17 00:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
EB Garamond demo from LO on Windows (1.41 MB, image/jpeg)
2018-08-17 00:15 UTC, LibreTraining
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xanadu 2018-08-03 18:48:47 UTC
Description:
There is a new high-quality libre unicode font on the scene: EB Garamond

It was first released in 2011 and became an open source community project. Since 2017 the font has reached a level of quality that is higher than the quality level of commercial implementations of the Garamond.

"Released in 2011 by Georg Duffner, EB Garamond is a free software version of Garamond released under the Open Font License and available through Google Fonts. Duffner based the design on a specimen printed by Egelnoff-Berner in 1592, with italic and Greek characters based on Robert Granjon's work, as well as the addition of Cyrillic characters and OpenType features such as swash italic capitals and schoolbook alternates. It is intended to include multiple optical sizes, as of 2014 including fonts based on the 8 and 12 point forms on the 1592 specimen. It has been described as "one of the best open source fonts" by prominent typeface designer Erik Spiekermann. As Georg Duffner couldn't complete the bold weights for personal reasons, the project was continued by Octavio Pardo. As of 2018 this implementation has 5 weights (Regular, Medium, Semi-Bold, Bold and Extra-Bold), both in regular and italic style." (https://en.wikipedia.org/wiki/Garamond#EB_Garamond)

Download: https://github.com/octaviopardo/EBGaramond12/tree/master/fonts/otf

I tested it and it is great, thus I will use it for my PhD in Linguistics. I think it is really worth to be included in LibreOffice.

Steps to Reproduce:
0


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Heiko Tietze 2018-08-03 21:28:56 UTC
It was not easy to get the prior changes through all committees as users and developers typically stick to what they have. We need good reasons to exchange a font.
Comment 2 xanadu 2018-08-03 22:32:10 UTC
Such a reason might be that Garamond is considered as the most used printing font ever. It's now about 500 years old but still used for printing a plethora of books. The implementation named "EB Garamond" includes Latin, Greek (+polytonic), Cyrillic and IPA in five different weights. No other libre open source implementation has reached such a level of perfection and even commercial implementations can't compete with that anymore. For all these reasons, bundling EB Garamond with LibreOffice should be considered.
Comment 3 Xavier Van Wijmeersch 2018-08-04 19:18:17 UTC
+1

it would be nice to have it, like the nice Karasa Jasa icon style
Comment 4 Adolfo Jayme 2018-08-04 20:14:45 UTC
Google Fonts is funding the development of many typefaces, as it was the case with this one. Do we really have to bundle every single one of them?
Comment 5 xanadu 2018-08-04 22:57:44 UTC
The Google Fonts founding shouldn't be a criterion. I propose a more typographic approach:

1.) Consider the history of type design and its classic families. A good font collection should have one example of every classic family.

2.) Consider the technical and the artistic quality of the implementation.

There is a reason why so many OS editions and office packages include an implementaion of Garamond.
Comment 6 Cor Nouws 2018-08-08 08:25:13 UTC
I support the request. Would appreciate the Garamond.
Comment 7 Heiko Tietze 2018-08-16 12:47:45 UTC
We discussed the request in the design meeting, the ESC, and on the mailing list. While some people reject the idea of too many fonts (personally, I prefer to install fonts via package manager on my Linux) there is also some agreement for Garamond. However, since we have issues with ultra-thin font weight on macOS it's not recommended to include a font that we know to fail eventually. So we came to the conclusion to keep the ticket open until it draws perfectly. 

@Stuart: Please look for the blocking ticket.
Comment 8 Heiko Tietze 2018-08-16 12:49:52 UTC
To mention, the EB Garamond is licensed under SIL Open Font License 1.1 and takes 2.5MB packed incl. OTF and TTF (number taken from the Arch Linux package).

@Stuart: Bug 115944 is flagged as invalid.
Comment 9 V Stuart Foote 2018-08-16 14:57:59 UTC
(In reply to Heiko Tietze from comment #7)
> @Stuart: Please look for the blocking ticket.

beleive that would be bug 69254 for macOS and Coretext handling, with the general for handling font weight/styles as bug 35538#c48
Comment 10 Thomas Linard 2018-08-16 17:45:20 UTC
(In reply to Heiko Tietze from comment #7)
> However, since we have issues with ultra-thin font
> weight on macOS it's not recommended to include a font that we know to fail
> eventually. So we came to the conclusion to keep the ticket open until it
> draws perfectly.

According to my tests, LO fails to renders the following weight of EB Garamond on macOS (bug 69254):

Medium
Medium Italic
SemiBold
SemiBold Italic

On Linux (bug 98596):
Medium
Medium Italic

This isn't an EB Garamond problem (the fonts are fine and display completely in competing products), only part of a more general problem of LO unable to display some weights, in both extremes of the spectrum and in the middle.
Comment 11 LibreTraining 2018-08-17 00:15:06 UTC
Created attachment 144246 [details]
EB Garamond demo from LO on Windows


Appears to work fine on LO 6.1.0.3 on Windows 7 x64.

Printed to an image at 800 dpi.